Skip to main content
GET
/
attachments
List attachments
curl --request GET \
  --url https://api.gospott.com/attachments \
  --header 'x-api-key: <api-key>'
{
  "pagination": {
    "totalItems": 123,
    "page": 123,
    "hasNextPage": true
  },
  "items": [
    {
      "attachmentId": "<string>",
      "attachmentName": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "extension": "<string>",
      "size": 123
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Query Parameters

page
integer
default:0
Required range: 0 <= x <= 10000
pageSize
integer
default:20
Required range: 1 <= x <= 100
candidateId
string
Minimum string length: 1
companyId
string
Minimum string length: 1
vacancyId
string
Minimum string length: 1
type
enum<string>

Optional attachment type filter. Allowed values: unassigned, CV.

Available options:
UNASSIGNED,
CV

Response

Paginated list of attachments matching the filters.

pagination
object
required
items
object[]
required